> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Tags

> Sync tags with a profile. Tags without ID will be created on the fly.



## OpenAPI

````yaml api-reference/openapi.json post /profiles/{profileId}/tags
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /profiles/{profileId}/tags:
    post:
      tags:
        - profiles
      summary: Sync tags with a profile. Tags without ID will be created on the fly.
      parameters:
        - in: path
          name: profileId
          schema:
            type: integer
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tags:
                  description: >
                    Array of tag objects. It will automatically determine which
                    IDs to attach or detach.

                    An object should contain ether an ID or a title. If an ID is
                    supplied, the existing tag

                    will be attached to the profile. If the ID is missing or
                    null, a tag with that title

                    will be created an attached.
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                        nullable: true
                      title:
                        type: string
                        nullable: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Tag'
components:
  schemas:
    Tag:
      description: |
        Used to further categorize profiles.
      type: object
      properties:
        id:
          type: integer
        title:
          description: Title of tag.
          type: string
        created_at:
          description: Datetime when tag was created.
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
        updated_at:
          description: Datetime when tag was last updated.
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````